## qtspell 0.8.4

=== CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.8.11)

# Project properties
PROJECT(qtspell)
SET(QTSPELL_VERSION 0.8.4)


# Soname
# MAJOR is incremented when symbols are removed or changed in an incompatible way
# MINOR is incremented when new symbols are added
SET(QTSPELL_MAJOR 0)
SET(QTSPELL_MINOR 3)


# Variables
SET(LIB_INSTALL_DIR lib${LIB_SUFFIX} CACHE PATH "Library installation dir")
SET(INCLUDE_INSTALL_DIR include CACHE PATH "Header installation dir")
SET(ISO_CODES_PREFIX ${CMAKE_INSTALL_PREFIX} CACHE PATH "Prefix for the iso-codes package")
SET(BUILD_STATIC_LIBS OFF CACHE BOOL "Whether to also build static libs")
SET(USE_QT5 ON CACHE PATH "Do the Qt5 build")

STRING(REGEX REPLACE "^${CMAKE_INSTALL_PREFIX}/" "" PC_INCLUDE_DIR ${INCLUDE_INSTALL_DIR})
STRING(REGEX REPLACE "^${CMAKE_INSTALL_PREFIX}/" "" PC_LIB_DIR ${LIB_INSTALL_DIR} )


# Dependencies
FIND_PACKAGE(PkgConfig)
PKG_CHECK_MODULES(ENCHANT enchant-2)
IF(ENCHANT_FOUND)
    ADD_DEFINITIONS(-DQTSPELL_ENCHANT2)
ELSE(ENCHANT_FOUND)
    PKG_CHECK_MODULES(ENCHANT REQUIRED enchant)
    IF(ENCHANT_VERSION VERSION_GREATER_EQUAL 2)
        ADD_DEFINITIONS(-DQTSPELL_ENCHANT2)
    ENDIF()
ENDIF(ENCHANT_FOUND)
INCLUDE_DIRECTORIES(${ENCHANT_INCLUDE_DIRS})

IF(USE_QT5)
    FIND_PACKAGE(Qt5Widgets REQUIRED)
    FIND_PACKAGE(Qt5LinguistTools REQUIRED)
ELSE(USE_QT5)
    FIND_PACKAGE(Qt4 REQUIRED)
ENDIF(USE_QT5)

FIND_PACKAGE(Doxygen)


# Library
SET(qtspell_SRCS src/Checker.cpp src/Codetable.cpp src/TextEditChecker.cpp src/UndoRedoStack.cpp)
SET(qtspell_HDRS src/TextEditChecker_p.hpp)
SET(qtspell_MOC_HDRS src/QtSpell.hpp src/UndoRedoStack.hpp)
FILE(GLOB qtspell_TS locale/*.ts)

ADD_DEFINITIONS(-DQTSPELL_LIBRARY)

STRING(TOLOWER "${CMAKE_BUILD_TYPE}" CMAKE_BUILD_TYPE_TOLOWER)
IF(NOT CMAKE_BUILD_TYPE_TOLOWER MATCHES "debug")
    ADD_DEFINITIONS(-DQT_NO_DEBUG_OUTPUT)
ENDIF()

SET(QTSPELL_LIB_VERSION ${QTSPELL_MAJOR}.${QTSPELL_MINOR}.0)
SET(QTSPELL_SO_VERSION ${QTSPELL_MAJOR})

IF(USE_QT5)
    SET(QT_VER "qt5")
    QT5_ADD_TRANSLATION(qtspell_QM ${qtspell_TS})
    QT5_WRAP_CPP(qtspell_MOC ${qtspell_MOC_HDRS})
ELSE(USE_QT5)
    SET(QT_VER "qt4")
    QT4_ADD_TRANSLATION(qtspell_QM ${qtspell_TS})
    QT4_WRAP_CPP(qtspell_MOC ${qtspell_MOC_HDRS})
ENDIF(USE_QT5)

ADD_LIBRARY(qtspell SHARED ${qtspell_SRCS} ${qtspell_MOC} ${qtspell_HDRS} ${qtspell_MOC_HDRS} ${qtspell_QM})
IF(USE_QT5)
    QT5_USE_MODULES(qtspell Widgets)
ELSE(USE_QT5)
    QT4_USE_MODULES(qtspell Core Gui)
ENDIF(USE_QT5)
SET_TARGET_PROPERTIES(qtspell PROPERTIES COMPILE_DEFINITIONS "ISO_CODES_PREFIX=\"${ISO_CODES_PREFIX}\"")
SET_TARGET_PROPERTIES(qtspell PROPERTIES VERSION ${QTSPELL_LIB_VERSION} SOVERSION ${QTSPELL_SO_VERSION})
SET_TARGET_PROPERTIES(qtspell PROPERTIES OUTPUT_NAME qtspell-${QT_VER})
IF(WIN32)
    SET_TARGET_PROPERTIES(qtspell PROPERTIES SUFFIX "-${QTSPELL_SO_VERSION}${CMAKE_SHARED_LIBRARY_SUFFIX}")
ENDIF(WIN32)
IF(WIN32)
    SET(INTL_LDFLAGS -lintl)
ENDIF(WIN32)
TARGET_LINK_LIBRARIES(qtspell ${ENCHANT_LDFLAGS} ${INTL_LDFLAGS})

IF(${BUILD_STATIC_LIBS})
    ADD_LIBRARY(qtspell-static STATIC ${qtspell_SRCS} ${qtspell_MOC} ${qtspell_HDRS} ${qtspell_MOC_HDRS} ${qtspell_QM})
    IF(USE_QT5)
        QT5_USE_MODULES(qtspell-static Widgets)
    ELSE(USE_QT5)
        QT4_USE_MODULES(qtspell-static Core Gui)
    ENDIF(USE_QT5)
    SET_TARGET_PROPERTIES(qtspell-static PROPERTIES COMPILE_DEFINITIONS "ISO_CODES_PREFIX=\"${ISO_CODES_PREFIX}\"")
    SET_TARGET_PROPERTIES(qtspell-static PROPERTIES VERSION ${QTSPELL_LIB_VERSION} SOVERSION ${QTSPELL_SO_VERSION})
    SET_TARGET_PROPERTIES(qtspell-static PROPERTIES OUTPUT_NAME qtspell-${QT_VER})
ENDIF(${BUILD_STATIC_LIBS})

CONFIGURE_FILE(QtSpell.pc.in QtSpell-${QT_VER}.pc @ONLY)

INSTALL(TARGETS qtspell
    RUNTIME DESTINATION bin COMPONENT libraries
    ARCHIVE DESTINATION ${LIB_INSTALL_DIR} COMPONENT libraries
    LIBRARY DESTINATION ${LIB_INSTALL_DIR} COMPONENT libraries
)
IF(${BUILD_STATIC_LIBS})
    INSTALL(TARGETS qtspell-static ARCHIVE DESTINATION ${LIB_INSTALL_DIR} COMPONENT libraries)
ENDIF(${BUILD_STATIC_LIBS})
INSTALL(FILES src/QtSpell.hpp DESTINATION ${INCLUDE_INSTALL_DIR}/QtSpell-${QT_VER})
INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/QtSpell-${QT_VER}.pc DESTINATION ${LIB_INSTALL_DIR}/pkgconfig)
INSTALL(FILES ${qtspell_QM} DESTINATION share/${QT_VER}/translations)


# Example
IF(USE_QT5)
    QT5_WRAP_CPP(example_MOC examples/example.hpp)
ELSE(USE_QT5)
    QT4_WRAP_CPP(example_MOC examples/example.hpp)
ENDIF(USE_QT5)
ADD_EXECUTABLE(example examples/example.cpp ${example_MOC})
IF(USE_QT5)
    QT5_USE_MODULES(example Widgets)
ELSE(USE_QT5)
    QT4_USE_MODULES(example Core Gui)
ENDIF(USE_QT5)
INCLUDE_DIRECTORIES(src/)
TARGET_LINK_LIBRARIES(example qtspell)


# Documentation
IF(DOXYGEN_FOUND)
CONFIGURE_FILE(doc/Doxyfile.in doc/Doxyfile @ONLY)

add_custom_target(doc
    ${DOXYGEN_EXECUTABLE} ${CMAKE_CURRENT_BINARY_DIR}/doc/Doxyfile
    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/doc
    COMMENT "Generating API documentation with Doxygen" VERBATIM
)

ENDIF(DOXYGEN_FOUND)


# spec and debian changelog
set(ENV{LC_ALL} "C")
EXECUTE_PROCESS(COMMAND date +%a\ %b\ %d\ %Y OUTPUT_VARIABLE SPEC_DATE OUTPUT_STRIP_TRAILING_WHITESPACE)
EXECUTE_PROCESS(COMMAND date -R OUTPUT_VARIABLE RFC_DATE OUTPUT_STRIP_TRAILING_WHITESPACE)
CONFIGURE_FILE(packaging/qtspell.spec.in qtspell.spec @ONLY)
CONFIGURE_FILE(packaging/debian/changelog.in debian/changelog @ONLY)


# Dist
ADD_CUSTOM_TARGET(dist
    COMMAND git archive --format=tar --prefix=${CMAKE_PROJECT_NAME}-${QTSPELL_VERSION}/ HEAD | xz > ${CMAKE_BINARY_DIR}/${CMAKE_PROJECT_NAME}-${QTSPELL_VERSION}.tar.xz
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
)

=== debian/changelog ===
qtspell (0.8.4-1) unstable; urgency=medium

  * Initial release (Closes: #893913)

 -- Scarlett Clark <sgclark@kde.org>  Tue, 24 Apr 2018 03:04:58 -0700

=== debian/control ===
Source: qtspell
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Scarlett Clark <sgclark@kde.org>
Build-Depends: cmake,
                          debhelper (>=11),
                          libenchant-dev,
                          pkg-config,
                          qtbase5-dev,
                          qttools5-dev (>= 5.10.1~)
Standards-Version: 4.1.4
Homepage: https://github.com/manisandro/qtspell
#Vcs-Git: git://anonscm.debian.org/collab-maint/qtspell.git
#Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/qtspell.git

Package: libqtspell-qt5-0
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}, iso-codes
Description: Spell checking for Qt5 text widgets
 QtSpell adds spell-checking functionality to Qt5's text widgets, using the
 enchant spell-checking library.

Package: libqtspell-qt5-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libenchant-dev,
         qtbase5-dev,
         libqtspell-qt5-0 (= ${binary:Version}),
         ${misc:Depends}
Description: Development files for libqtspell-qt5
 This package contains the headers and libraries for developing applications
 with qtspell-qt5 support.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_INSTALL_PREFIX=/usr

override_dh_missing:
	dh_missing --fail-missing

## qtspell 0.8.5

=== debian/changelog ===
qtspell (0.8.5-1) unstable; urgency=medium

  * Fix VCS entries to point to salsa repos.
  * New upstream release.
  * Refresh patch 01_add_include_GNUInstallDirs.patch.
  * Use pkgkde-symbolshelper and refresh symbols.
  * Add doxygen for docs:
    - Add arch indep package for html docs.
    - Adjust rules to properly generate arch indep docs and install
      adjustments for arch indep files.
    - Clarify what each package contains in control.
    - wrap-and-sort.
  * Update Uploaders to match my signing key.
  * Use docs-base for HTML docs.
  * Add needed include for DEB_BUILD_MAINT_OPTIONS.
  * Bump to Standards Version 4.2.1:
     - No changes needed.
  * Add upstream metadata.
  * Update debian/ copyright with my new name.
  * Remove erroneous depend on doc package ( arch all ).
  * Remove the incorrect commenting of PC generation
    regex. This now generates the triplet paths in pkg-config
    files. (Closes: #918351)
  * Release to unstable.

 -- Scarlett Moore <sgclark@kde.org>  Tue, 08 Jan 2019 19:28:11 -0700

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow
export CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed

include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --with=pkgkde-symbolshelper

override_dh_auto_build-arch:
	dh_auto_build

override_dh_auto_build-indep:
	dh_auto_build  -- doc

override_dh_auto_install-indep:
	dh_auto_install -- doc
	mv $(CURDIR)/obj-x86_64-linux-gnu/doc/html $(CURDIR)/debian/tmp/

override_dh_auto_install-arch:
	dh_auto_install

override_dh_missing:
	dh_missing --fail-missing

## qtspell 0.8.5+rebuild

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 # Project properties
 PROJECT(qtspell)
-SET(QTSPELL_VERSION 0.8.4)
+SET(QTSPELL_VERSION 0.8.5)
 
 
 # Soname
@@ -74,7 +74,7 @@
 
 ADD_LIBRARY(qtspell SHARED ${qtspell_SRCS} ${qtspell_MOC} ${qtspell_HDRS} ${qtspell_MOC_HDRS} ${qtspell_QM})
 IF(USE_QT5)
-    QT5_USE_MODULES(qtspell Widgets)
+    TARGET_LINK_LIBRARIES(qtspell Qt5::Core Qt5::Widgets)
 ELSE(USE_QT5)
     QT4_USE_MODULES(qtspell Core Gui)
 ENDIF(USE_QT5)
@@ -92,7 +92,7 @@
 IF(${BUILD_STATIC_LIBS})
     ADD_LIBRARY(qtspell-static STATIC ${qtspell_SRCS} ${qtspell_MOC} ${qtspell_HDRS} ${qtspell_MOC_HDRS} ${qtspell_QM})
     IF(USE_QT5)
-        QT5_USE_MODULES(qtspell-static Widgets)
+        TARGET_LINK_LIBRARIES(qtspell-static Qt5::Core Qt5::Widgets)
     ELSE(USE_QT5)
         QT4_USE_MODULES(qtspell-static Core Gui)
     ENDIF(USE_QT5)
@@ -124,7 +124,7 @@
 ENDIF(USE_QT5)
 ADD_EXECUTABLE(example examples/example.cpp ${example_MOC})
 IF(USE_QT5)
-    QT5_USE_MODULES(example Widgets)
+    TARGET_LINK_LIBRARIES(example Qt5::Core Qt5::Widgets)
 ELSE(USE_QT5)
     QT4_USE_MODULES(example Core Gui)
 ENDIF(USE_QT5)

=== debian/changelog ===
qtspell (0.8.5+rebuild-1+eagle) unstable; urgency=medium

  * update

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 20 Jan 2021 09:32:36 +0800

=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,7 @@
 
 override_dh_auto_install-indep:
 	dh_auto_install -- doc
-	mv $(CURDIR)/obj-x86_64-linux-gnu/doc/html $(CURDIR)/debian/tmp/
+	mv $(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)/doc/html $(CURDIR)/debian/tmp/
 
 override_dh_auto_install-arch:
 	dh_auto_install

## qtspell 0.9.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 # Project properties
 PROJECT(qtspell)
-SET(QTSPELL_VERSION 0.8.5)
+SET(QTSPELL_VERSION 0.9.0)
 
 
 # Soname
@@ -17,7 +17,6 @@
 SET(INCLUDE_INSTALL_DIR include CACHE PATH "Header installation dir")
 SET(ISO_CODES_PREFIX ${CMAKE_INSTALL_PREFIX} CACHE PATH "Prefix for the iso-codes package")
 SET(BUILD_STATIC_LIBS OFF CACHE BOOL "Whether to also build static libs")
-SET(USE_QT5 ON CACHE PATH "Do the Qt5 build")
 
 STRING(REGEX REPLACE "^${CMAKE_INSTALL_PREFIX}/" "" PC_INCLUDE_DIR ${INCLUDE_INSTALL_DIR})
 STRING(REGEX REPLACE "^${CMAKE_INSTALL_PREFIX}/" "" PC_LIB_DIR ${LIB_INSTALL_DIR} )
@@ -36,20 +35,15 @@
 ENDIF(ENCHANT_FOUND)
 INCLUDE_DIRECTORIES(${ENCHANT_INCLUDE_DIRS})
 
-IF(USE_QT5)
-    FIND_PACKAGE(Qt5Widgets REQUIRED)
-    FIND_PACKAGE(Qt5LinguistTools REQUIRED)
-ELSE(USE_QT5)
-    FIND_PACKAGE(Qt4 REQUIRED)
-ENDIF(USE_QT5)
+FIND_PACKAGE(Qt5Widgets REQUIRED)
+FIND_PACKAGE(Qt5LinguistTools REQUIRED)
 
 FIND_PACKAGE(Doxygen)
 
 
 # Library
 SET(qtspell_SRCS src/Checker.cpp src/Codetable.cpp src/TextEditChecker.cpp src/UndoRedoStack.cpp)
-SET(qtspell_HDRS src/TextEditChecker_p.hpp)
-SET(qtspell_MOC_HDRS src/QtSpell.hpp src/UndoRedoStack.hpp)
+SET(qtspell_HDRS src/TextEditChecker_p.hpp src/QtSpell.hpp src/UndoRedoStack.hpp)
 FILE(GLOB qtspell_TS locale/*.ts)
 
 ADD_DEFINITIONS(-DQTSPELL_LIBRARY)
@@ -58,26 +52,17 @@
 IF(NOT CMAKE_BUILD_TYPE_TOLOWER MATCHES "debug")
     ADD_DEFINITIONS(-DQT_NO_DEBUG_OUTPUT)
 ENDIF()
+SET(CMAKE_AUTOMOC ON)
 
 SET(QTSPELL_LIB_VERSION ${QTSPELL_MAJOR}.${QTSPELL_MINOR}.0)
 SET(QTSPELL_SO_VERSION ${QTSPELL_MAJOR})
 
-IF(USE_QT5)
-    SET(QT_VER "qt5")
-    QT5_ADD_TRANSLATION(qtspell_QM ${qtspell_TS})
-    QT5_WRAP_CPP(qtspell_MOC ${qtspell_MOC_HDRS})
-ELSE(USE_QT5)
-    SET(QT_VER "qt4")
-    QT4_ADD_TRANSLATION(qtspell_QM ${qtspell_TS})
-    QT4_WRAP_CPP(qtspell_MOC ${qtspell_MOC_HDRS})
-ENDIF(USE_QT5)
 
-ADD_LIBRARY(qtspell SHARED ${qtspell_SRCS} ${qtspell_MOC} ${qtspell_HDRS} ${qtspell_MOC_HDRS} ${qtspell_QM})
-IF(USE_QT5)
-    TARGET_LINK_LIBRARIES(qtspell Qt5::Core Qt5::Widgets)
-ELSE(USE_QT5)
-    QT4_USE_MODULES(qtspell Core Gui)
-ENDIF(USE_QT5)
+SET(QT_VER "qt5")
+QT5_ADD_TRANSLATION(qtspell_QM ${qtspell_TS})
+
+ADD_LIBRARY(qtspell SHARED ${qtspell_SRCS} ${qtspell_HDRS} ${qtspell_QM})
+TARGET_LINK_LIBRARIES(qtspell Qt5::Core Qt5::Widgets)
 SET_TARGET_PROPERTIES(qtspell PROPERTIES COMPILE_DEFINITIONS "ISO_CODES_PREFIX=\"${ISO_CODES_PREFIX}\"")
 SET_TARGET_PROPERTIES(qtspell PROPERTIES VERSION ${QTSPELL_LIB_VERSION} SOVERSION ${QTSPELL_SO_VERSION})
 SET_TARGET_PROPERTIES(qtspell PROPERTIES OUTPUT_NAME qtspell-${QT_VER})
@@ -90,12 +75,8 @@
 TARGET_LINK_LIBRARIES(qtspell ${ENCHANT_LDFLAGS} ${INTL_LDFLAGS})
 
 IF(${BUILD_STATIC_LIBS})
-    ADD_LIBRARY(qtspell-static STATIC ${qtspell_SRCS} ${qtspell_MOC} ${qtspell_HDRS} ${qtspell_MOC_HDRS} ${qtspell_QM})
-    IF(USE_QT5)
-        TARGET_LINK_LIBRARIES(qtspell-static Qt5::Core Qt5::Widgets)
-    ELSE(USE_QT5)
-        QT4_USE_MODULES(qtspell-static Core Gui)
-    ENDIF(USE_QT5)
+    ADD_LIBRARY(qtspell-static STATIC ${qtspell_SRCS} ${qtspell_MOC} ${qtspell_HDRS} ${qtspell_HDRS} ${qtspell_QM})
+    TARGET_LINK_LIBRARIES(qtspell-static Qt5::Core Qt5::Widgets)
     SET_TARGET_PROPERTIES(qtspell-static PROPERTIES COMPILE_DEFINITIONS "ISO_CODES_PREFIX=\"${ISO_CODES_PREFIX}\"")
     SET_TARGET_PROPERTIES(qtspell-static PROPERTIES VERSION ${QTSPELL_LIB_VERSION} SOVERSION ${QTSPELL_SO_VERSION})
     SET_TARGET_PROPERTIES(qtspell-static PROPERTIES OUTPUT_NAME qtspell-${QT_VER})
@@ -117,17 +98,8 @@
 
 
 # Example
-IF(USE_QT5)
-    QT5_WRAP_CPP(example_MOC examples/example.hpp)
-ELSE(USE_QT5)
-    QT4_WRAP_CPP(example_MOC examples/example.hpp)
-ENDIF(USE_QT5)
-ADD_EXECUTABLE(example examples/example.cpp ${example_MOC})
-IF(USE_QT5)
-    TARGET_LINK_LIBRARIES(example Qt5::Core Qt5::Widgets)
-ELSE(USE_QT5)
-    QT4_USE_MODULES(example Core Gui)
-ENDIF(USE_QT5)
+ADD_EXECUTABLE(example examples/example.cpp examples/example.hpp)
+TARGET_LINK_LIBRARIES(example Qt5::Core Qt5::Widgets)
 INCLUDE_DIRECTORIES(src/)
 TARGET_LINK_LIBRARIES(example qtspell)

=== debian/changelog ===
qtspell (0.9.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the patches:
    - 01_add_include_GNUInstallDirs.patch: refresh
    - fix_reproducible_build_doxygen_build_path.patch: drop, fixed upstream
  * Update symbols file.

 -- Pino Toscano <pino@debian.org>  Sun, 22 Mar 2020 10:17:57 +0100

qtspell (0.8.5-5) unstable; urgency=medium

  * Team upload.
  * Use DEB_HOST_GNU_TYPE to properly refer to the build directory, instead of
    DEB_HOST_MULTIARCH
    - use /usr/share/dpkg/architecture.mk to get it
  * Bump Standards-Version to 4.5.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Wed, 22 Jan 2020 23:29:16 +0100

qtspell (0.8.5-4) unstable; urgency=medium

  * Team upload.

  [ Scarlett Moore ]
  * Remove extra dh_xeamples override, no longer needed.

  [ Pino Toscano ]
  * Add the configuration for the CI on salsa.
  * Simplify handling of CFLAGS, CXXFLAGS, and LDFLAGS: they right values are
    already passed by the dh cmake buildsystem, so use DEB_LDFLAGS_MAINT_APPEND
    to only link in as-needed mode.
  * Stop trying to install moc_example.cpp as example, as it is an
    autogenerated file, and not a real source. (Closes: #948440)
  * Switch from the debhelper build dependency to debhelper-compat
    - remove debian/compat
  * Remove trailing whitespaces in changelog.
  * Do not run dh_auto_install in -indep builds, as there is nothing to install
    automatically in that case; limit the installation of documentation in
    -indep builds, and install directly from the build directory.
  * Install the source examples properly in libqtspell-qt5-dev.
  * Change the build dependencies:
    - remove doc-base, not actually needed
    - move doxygen as +Build-Depends-Indep, as it is needed only in that case
  * Bump Standards-Version to 4.4.1, no changes required.
  * Remove the libenchant-dev dependency from libqtspell-qt5-dev, as it does
    not use it.
  * Switch to Enchant 2: (Closes: #948439)
    - switch the libenchant-dev with libenchant-2-dev
    - update symbols file

 -- Pino Toscano <pino@debian.org>  Thu, 16 Jan 2020 22:51:43 +0100

qtspell (0.8.5-3) unstable; urgency=medium

  * Fix "FTBFS on all architectures: dh_install: Cannot find (any
    matches for) "usr/lib/*/libqtspell-qt5-0/moc_example.cpp" (tried in
    ., debian/tmp)"
    - Fix install path to -dev package in rules and install file.
     (Closes: #948440)
  * Release to unstable.

 -- Scarlett Moore <sgmoore@kde.org>  Wed, 15 Jan 2020 12:51:39 -0700

qtspell (0.8.5-2) unstable; urgency=medium

  * Fix duplicate short descriptions.
  * Add Build-Depends-Package to symbols file.
  * Update my email.
  * Use DEB_HOST_MULTIARCH var rather than hard coded
    path which would fail in non amd64 hosts.
  * Fix reproducible build by changing FULL_PATH_NAMES in Doxyfile.in.
  * Refresh symbols - remove missing optional symbol.
  * Bump compat to 12.
  * Bump standards-version to 4.3.0 - No remaining changes.
  * Move examples to standard qt5 examples location,
    and don't install cpp_parameters file that
    hard codes build info including paths from
    build host.
  * Release to unstable.

 -- Scarlett Moore <sgmoore@kde.org>  Tue, 16 Jul 2019 08:23:19 -0700

=== debian/control ===
Source: qtspell
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Scarlett Moore <sgmoore@kde.org>
Build-Depends: cmake,
               debhelper-compat (= 12),
               libenchant-2-dev,
               pkg-config,
               pkg-kde-tools,
               qtbase5-dev,
               qttools5-dev (>= 5.10.1~),
Build-Depends-Indep: doxygen,
Standards-Version: 4.5.0
Homepage: https://github.com/manisandro/qtspell
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/qtspell.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/qtspell

Package: libqtspell-qt5-0
Architecture: any
Multi-Arch: same
Depends: iso-codes, ${misc:Depends}, ${shlibs:Depends}
Description: Spell checking for Qt5 text widgets library
 QtSpell adds spell-checking functionality to Qt5's text widgets, using the
 enchant spell-checking library.
 .
 This package contains the library for qtspell-qt5.

Package: libqtspell-qt5-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libqtspell-qt5-0 (= ${binary:Version}),
         qtbase5-dev,
         ${misc:Depends},
Description: Development files for libqtspell-qt5
 QtSpell adds spell-checking functionality to Qt5's text widgets, using the
 enchant spell-checking library.
 .
 This package contains the headers and libraries for developing applications
 with qtspell-qt5 support.

Package: libqtspell-qt5-html
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: Spell checking for Qt5 text widgets documentation
 QtSpell adds spell-checking functionality to Qt5's text widgets, using the
 enchant spell-checking library.
 .
 This package contains the documentation for qtspell-qt5.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow
export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

include /usr/share/dpkg/architecture.mk

%:
	dh $@ --with=pkgkde-symbolshelper

override_dh_auto_build-arch:
	dh_auto_build

override_dh_auto_build-indep:
	dh_auto_build  -- doc

override_dh_auto_install-indep:

override_dh_auto_install-arch:
	dh_auto_install

override_dh_installdocs-indep:
	dh_installdocs -i $(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)/doc/html

override_dh_missing:
	dh_missing --fail-missing

=== debian/watch ===
version=4

# GitHub hosted projects
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/qtspell-$1\.tar\.gz/ \
   https://github.com/manisandro/qtspell/tags \
   (?:.*?/)?(\d[\d.]*)\.tar\.gz debian uupdate

## qtspell 1.0.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,15 +1,18 @@
-CMAKE_MINIMUM_REQUIRED(VERSION 2.8.11)
+CMAKE_MINIMUM_REQUIRED(VERSION 3.0)
+cmake_policy(SET CMP0063 NEW)
 
 # Project properties
 PROJECT(qtspell)
-SET(QTSPELL_VERSION 0.9.0)
-
+SET(QTSPELL_VERSION 1.0.1)
+set(CMAKE_C_VISIBILITY_PRESET hidden)
+set(CMAKE_CXX_VISIBILITY_PRESET hidden)
+set(CMAKE_VISIBILITY_INLINES_HIDDEN 1)
 
 # Soname
 # MAJOR is incremented when symbols are removed or changed in an incompatible way
 # MINOR is incremented when new symbols are added
-SET(QTSPELL_MAJOR 0)
-SET(QTSPELL_MINOR 3)
+SET(QTSPELL_MAJOR 1)
+SET(QTSPELL_MINOR 0)
 
 
 # Variables
@@ -17,6 +20,7 @@
 SET(INCLUDE_INSTALL_DIR include CACHE PATH "Header installation dir")
 SET(ISO_CODES_PREFIX ${CMAKE_INSTALL_PREFIX} CACHE PATH "Prefix for the iso-codes package")
 SET(BUILD_STATIC_LIBS OFF CACHE BOOL "Whether to also build static libs")
+SET(QT_VER 5 CACHE STRING "Qt version, either 5 or 6")
 
 STRING(REGEX REPLACE "^${CMAKE_INSTALL_PREFIX}/" "" PC_INCLUDE_DIR ${INCLUDE_INSTALL_DIR})
 STRING(REGEX REPLACE "^${CMAKE_INSTALL_PREFIX}/" "" PC_LIB_DIR ${LIB_INSTALL_DIR} )
@@ -35,18 +39,18 @@
 ENDIF(ENCHANT_FOUND)
 INCLUDE_DIRECTORIES(${ENCHANT_INCLUDE_DIRS})
 
-FIND_PACKAGE(Qt5Widgets REQUIRED)
-FIND_PACKAGE(Qt5LinguistTools REQUIRED)
+FIND_PACKAGE(Qt${QT_VER}Widgets REQUIRED)
+FIND_PACKAGE(Qt${QT_VER}LinguistTools REQUIRED)
 
 FIND_PACKAGE(Doxygen)
 
 
 # Library
+INCLUDE_DIRECTORIES("${CMAKE_CURRENT_BINARY_DIR}")
+INCLUDE(GenerateExportHeader)
 SET(qtspell_SRCS src/Checker.cpp src/Codetable.cpp src/TextEditChecker.cpp src/UndoRedoStack.cpp)
 SET(qtspell_HDRS src/TextEditChecker_p.hpp src/QtSpell.hpp src/UndoRedoStack.hpp)
 FILE(GLOB qtspell_TS locale/*.ts)
-
-ADD_DEFINITIONS(-DQTSPELL_LIBRARY)
 
 STRING(TOLOWER "${CMAKE_BUILD_TYPE}" CMAKE_BUILD_TYPE_TOLOWER)
 IF(NOT CMAKE_BUILD_TYPE_TOLOWER MATCHES "debug")
@@ -58,14 +62,18 @@
 SET(QTSPELL_SO_VERSION ${QTSPELL_MAJOR})
 
 
-SET(QT_VER "qt5")
-QT5_ADD_TRANSLATION(qtspell_QM ${qtspell_TS})
+QT_ADD_TRANSLATION(qtspell_QM ${qtspell_TS})
 
 ADD_LIBRARY(qtspell SHARED ${qtspell_SRCS} ${qtspell_HDRS} ${qtspell_QM})
-TARGET_LINK_LIBRARIES(qtspell Qt5::Core Qt5::Widgets)
+GENERATE_EXPORT_HEADER(qtspell
+    BASE_NAME QTSPELL
+    EXPORT_MACRO_NAME QTSPELL_API
+    EXPORT_FILE_NAME "${CMAKE_CURRENT_BINARY_DIR}/QtSpellExport.hpp"
+)
+TARGET_LINK_LIBRARIES(qtspell Qt${QT_VER}::Core Qt${QT_VER}::Widgets)
 SET_TARGET_PROPERTIES(qtspell PROPERTIES COMPILE_DEFINITIONS "ISO_CODES_PREFIX=\"${ISO_CODES_PREFIX}\"")
 SET_TARGET_PROPERTIES(qtspell PROPERTIES VERSION ${QTSPELL_LIB_VERSION} SOVERSION ${QTSPELL_SO_VERSION})
-SET_TARGET_PROPERTIES(qtspell PROPERTIES OUTPUT_NAME qtspell-${QT_VER})
+SET_TARGET_PROPERTIES(qtspell PROPERTIES OUTPUT_NAME qtspell-qt${QT_VER})
 IF(WIN32)
     SET_TARGET_PROPERTIES(qtspell PROPERTIES SUFFIX "-${QTSPELL_SO_VERSION}${CMAKE_SHARED_LIBRARY_SUFFIX}")
 ENDIF(WIN32)
@@ -76,13 +84,13 @@
 
 IF(${BUILD_STATIC_LIBS})
     ADD_LIBRARY(qtspell-static STATIC ${qtspell_SRCS} ${qtspell_MOC} ${qtspell_HDRS} ${qtspell_HDRS} ${qtspell_QM})
-    TARGET_LINK_LIBRARIES(qtspell-static Qt5::Core Qt5::Widgets)
+    TARGET_LINK_LIBRARIES(qtspell-static Qt${QT_VER}::Core Qt${QT_VER}::Widgets)
     SET_TARGET_PROPERTIES(qtspell-static PROPERTIES COMPILE_DEFINITIONS "ISO_CODES_PREFIX=\"${ISO_CODES_PREFIX}\"")
     SET_TARGET_PROPERTIES(qtspell-static PROPERTIES VERSION ${QTSPELL_LIB_VERSION} SOVERSION ${QTSPELL_SO_VERSION})
-    SET_TARGET_PROPERTIES(qtspell-static PROPERTIES OUTPUT_NAME qtspell-${QT_VER})
+    SET_TARGET_PROPERTIES(qtspell-static PROPERTIES OUTPUT_NAME qtspell-qt${QT_VER})
 ENDIF(${BUILD_STATIC_LIBS})
 
-CONFIGURE_FILE(QtSpell.pc.in QtSpell-${QT_VER}.pc @ONLY)
+CONFIGURE_FILE(QtSpell.pc.in QtSpell-qt${QT_VER}.pc @ONLY)
 
 INSTALL(TARGETS qtspell
     RUNTIME DESTINATION bin COMPONENT libraries
@@ -92,14 +100,14 @@
 IF(${BUILD_STATIC_LIBS})
     INSTALL(TARGETS qtspell-static ARCHIVE DESTINATION ${LIB_INSTALL_DIR} COMPONENT libraries)
 ENDIF(${BUILD_STATIC_LIBS})
-INSTALL(FILES src/QtSpell.hpp DESTINATION ${INCLUDE_INSTALL_DIR}/QtSpell-${QT_VER})
-INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/QtSpell-${QT_VER}.pc DESTINATION ${LIB_INSTALL_DIR}/pkgconfig)
-INSTALL(FILES ${qtspell_QM} DESTINATION share/${QT_VER}/translations)
+INSTALL(FILES src/QtSpell.hpp "${CMAKE_CURRENT_BINARY_DIR}/QtSpellExport.hpp" DESTINATION ${INCLUDE_INSTALL_DIR}/QtSpell-qt${QT_VER})
+INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/QtSpell-qt${QT_VER}.pc DESTINATION ${LIB_INSTALL_DIR}/pkgconfig)
+INSTALL(FILES ${qtspell_QM} DESTINATION share/qt${QT_VER}/translations)
 
 
 # Example
 ADD_EXECUTABLE(example examples/example.cpp examples/example.hpp)
-TARGET_LINK_LIBRARIES(example Qt5::Core Qt5::Widgets)
+TARGET_LINK_LIBRARIES(example Qt${QT_VER}::Core Qt${QT_VER}::Widgets)
 INCLUDE_DIRECTORIES(src/)
 TARGET_LINK_LIBRARIES(example qtspell)

=== debian/changelog ===
qtspell (1.0.1-4) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * Switch the maintainer to the Debian KDE Extras Team.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 19 Jan 2025 17:34:58 +0100

qtspell (1.0.1-3) experimental; urgency=medium

  [ Philip Rinn ]
  * Team upload.
  * Team upload.
  * Migrate to Qt6 (Closes: #1091587).
  * Update standards version to 4.7.0, no changes needed.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 05 Jan 2025 23:56:45 +0100

qtspell (1.0.1-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Update symbols file from the logs of buildds.

 -- Pino Toscano <pino@debian.org>  Sat, 15 Jan 2022 18:01:29 +0100

qtspell (1.0.1-1) experimental; urgency=medium

  * Team upload.
  * Bump debhelper from old 12 to 13.
    + debian/rules: Drop --fail-missing argument to dh_missing, which is now the
      default.
  * Set field Upstream-Contact in debian/copyright.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).
  * Update standards version to 4.6.0, no changes needed.
  * New upstream release.
  * Update the build dependencies according to the upstream buildsystem:
    - bump cmake to 3.0
  * Rename libqtspell-qt5-0 to libqtspell-qt5-1 according to the new SONAME.
  * Remove the explicit as-needed linking, as it is done by binutils now.
  * Drop the patch 01_add_include_GNUInstallDirs.patch altogether:
    - pass -DLIB_SUFFIX=/$(DEB_HOST_MULTIARCH) to install the library in the
      multiarch library path
    - switch back the includes to a non-multiarch include path, as they do not
      change per-architecture
  * Update/simplify symbols file.
  * Drop the "uupdate" step from the watch file.
  * As there is a package rename, split the translation files to a separate
    libqtspell-qt5-data to reduce conflicts on SONAME bumps
    - change rules to always compile & install qtspell also in arch:all builds,
      as the translations are shipped in that case
  * Add Rules-Requires-Root: no.
  * Update copyright.

 -- Pino Toscano <pino@debian.org>  Sat, 15 Jan 2022 09:32:41 +0100

=== debian/control ===
Source: qtspell
Section: libs
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@alioth-lists.debian.net>
Uploaders: Scarlett Moore <sgmoore@kde.org>
Build-Depends: cmake (>= 3.0~),
               debhelper-compat (= 13),
               dh-sequence-pkgkde-symbolshelper,
               libenchant-2-dev,
               pkgconf,
               pkg-kde-tools,
               qt6-base-dev,
               qt6-tools-dev (>= 5.10.1~),
Build-Depends-Indep: doxygen,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://github.com/manisandro/qtspell
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/qtspell.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/qtspell

Package: libqtspell-qt6-1
Architecture: any
Multi-Arch: same
Depends: libqtspell-qt6-data (>= ${source:Version}), iso-codes, ${misc:Depends}, ${shlibs:Depends}
Description: Spell checking for Qt6 text widgets library
 QtSpell adds spell-checking functionality to Qt6's text widgets, using the
 enchant spell-checking library.
 .
 This package contains the library for qtspell-qt6.

Package: libqtspell-qt6-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Spell checking for Qt6 text widgets library - data files
 QtSpell adds spell-checking functionality to Qt6's text widgets, using the
 enchant spell-checking library.
 .
 This package contains the data files for qtspell-qt6.

Package: libqtspell-qt6-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libqtspell-qt6-1 (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends},
Description: Development files for libqtspell-qt6
 QtSpell adds spell-checking functionality to Qt6's text widgets, using the
 enchant spell-checking library.
 .
 This package contains the headers and libraries for developing applications
 with qtspell-qt6 support.

Package: libqtspell-qt6-html
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: Spell checking for Qt6 text widgets documentation
 QtSpell adds spell-checking functionality to Qt5's text widgets, using the
 enchant spell-checking library.
 .
 This package contains the documentation for qtspell-qt6.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow

include /usr/share/dpkg/architecture.mk

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DLIB_SUFFIX=/$(DEB_HOST_MULTIARCH) -DQT_VER=6

execute_after_dh_auto_build-indep:
	dh_auto_build  -- doc

execute_after_dh_installdocs-indep:
	dh_installdocs -p libqtspell-qt6-html $(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)/doc/html

## qtspell 1.0.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
-CMAKE_MINIMUM_REQUIRED(VERSION 3.0)
-cmake_policy(SET CMP0063 NEW)
+CMAKE_MINIMUM_REQUIRED(VERSION 3.5)
 
 # Project properties
 PROJECT(qtspell)
-SET(QTSPELL_VERSION 1.0.1)
+include(GNUInstallDirs)
+SET(QTSPELL_VERSION 1.0.2)
 set(CMAKE_C_VISIBILITY_PRESET hidden)
 set(CMAKE_CXX_VISIBILITY_PRESET hidden)
 set(CMAKE_VISIBILITY_INLINES_HIDDEN 1)
@@ -16,14 +16,12 @@
 
 
 # Variables
-SET(LIB_INSTALL_DIR lib${LIB_SUFFIX} CACHE PATH "Library installation dir")
-SET(INCLUDE_INSTALL_DIR include CACHE PATH "Header installation dir")
 SET(ISO_CODES_PREFIX ${CMAKE_INSTALL_PREFIX} CACHE PATH "Prefix for the iso-codes package")
 SET(BUILD_STATIC_LIBS OFF CACHE BOOL "Whether to also build static libs")
 SET(QT_VER 5 CACHE STRING "Qt version, either 5 or 6")
 
-STRING(REGEX REPLACE "^${CMAKE_INSTALL_PREFIX}/" "" PC_INCLUDE_DIR ${INCLUDE_INSTALL_DIR})
-STRING(REGEX REPLACE "^${CMAKE_INSTALL_PREFIX}/" "" PC_LIB_DIR ${LIB_INSTALL_DIR} )
+STRING(REGEX REPLACE "^${CMAKE_INSTALL_PREFIX}/" "" PC_INCLUDE_DIR ${CMAKE_INSTALL_INCLUDEDIR})
+STRING(REGEX REPLACE "^${CMAKE_INSTALL_PREFIX}/" "" PC_LIB_DIR ${CMAKE_INSTALL_LIBDIR} )
 
 
 # Dependencies
@@ -93,16 +91,16 @@
 CONFIGURE_FILE(QtSpell.pc.in QtSpell-qt${QT_VER}.pc @ONLY)
 
 INSTALL(TARGETS qtspell
-    RUNTIME DESTINATION bin COMPONENT libraries
-    ARCHIVE DESTINATION ${LIB_INSTALL_DIR} COMPONENT libraries
-    LIBRARY DESTINATION ${LIB_INSTALL_DIR} COMPONENT libraries
+    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR} COMPONENT libraries
+    ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR} COMPONENT libraries
+    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR} COMPONENT libraries
 )
 IF(${BUILD_STATIC_LIBS})
-    INSTALL(TARGETS qtspell-static ARCHIVE DESTINATION ${LIB_INSTALL_DIR} COMPONENT libraries)
+    INSTALL(TARGETS qtspell-static ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR} COMPONENT libraries)
 ENDIF(${BUILD_STATIC_LIBS})
-INSTALL(FILES src/QtSpell.hpp "${CMAKE_CURRENT_BINARY_DIR}/QtSpellExport.hpp" DESTINATION ${INCLUDE_INSTALL_DIR}/QtSpell-qt${QT_VER})
-INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/QtSpell-qt${QT_VER}.pc DESTINATION ${LIB_INSTALL_DIR}/pkgconfig)
-INSTALL(FILES ${qtspell_QM} DESTINATION share/qt${QT_VER}/translations)
+INSTALL(FILES src/QtSpell.hpp "${CMAKE_CURRENT_BINARY_DIR}/QtSpellExport.hpp" DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/QtSpell-qt${QT_VER})
+INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/QtSpell-qt${QT_VER}.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
+INSTALL(FILES ${qtspell_QM} DESTINATION ${CMAKE_INSTALL_DATADIR}/qt${QT_VER}/translations)
 
 
 # Example

=== debian/changelog ===
qtspell (1.0.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.7.2, no changes required.
  * Update the build dependencies according to the upstream buildsystem:
    - bump cmake to 3.5
  * Stop specifying -DLIB_SUFFIX to cmake, as the buildsystem now uses the
    GNUInstallDirs module.

 -- Pino Toscano <pino@debian.org>  Sun, 10 Aug 2025 09:54:54 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@alioth-lists.debian.net>
 Uploaders: Scarlett Moore <sgmoore@kde.org>
-Build-Depends: cmake (>= 3.0~),
+Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
                dh-sequence-pkgkde-symbolshelper,
                libenchant-2-dev,
@@ -12,7 +12,7 @@
                qt6-base-dev,
                qt6-tools-dev (>= 5.10.1~),
 Build-Depends-Indep: doxygen,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/manisandro/qtspell
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/qtspell.git

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -- -DLIB_SUFFIX=/$(DEB_HOST_MULTIARCH) -DQT_VER=6
+	dh_auto_configure -- -DQT_VER=6
 
 execute_after_dh_auto_build-indep:
 	dh_auto_build  -- doc

=== debian/watch ===
version=4

# GitHub hosted projects
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/qtspell-$1\.tar\.gz/ \
   https://github.com/manisandro/qtspell/tags \
   (?:.*?/)?(\d[\d.]*)\.tar\.gz
